[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'CustomDrawnDrawers' (#lcl)

# TCDDrawer.CalculatePreferredSize

## Declaration

Source position: customdrawndrawers.pas line 333

`public procedure TCDDrawer.CalculatePreferredSize(`
`ADest: TCanvas;`
`AControlId: TCDControlID;`
`AState: TCDControlState;`
`AStateEx: TCDControlStateEx;`
`var PreferredWidth: Integer;`
`var PreferredHeight: Integer;`
`WithThemeSpace: Boolean;`
`AAllowUseOfMeasuresEx: Boolean`
`); virtual; abstract;`